Subject: Re: .../security/gnupg not building?
To: None <>
From: Gert Doering <>
List: tech-pkg
Date: 02/11/2005 10:37:21
In Mark Davies wrote:

>Not sure why the former didn't work for you when you tried it (other than 
>perhaps the misspelling of CONFIGURE_ARGS) as its clearly working for you now  
>- as what has changed in the package is that "--disable-gnupg-iconv" is now 
>set for platforms where it seems to be needed (currently NetBSD < 2.0 or 

NetBSD 2.0.1 (at least on Sparc64) also needs this.

Building from pkgsrc-current (cvs update'd 3 minutes ago)...

-------- snip ---------
Making all in checks
gmake[2]: Entering directory `/home/obj/pkg/security/gnupg/work/gnupg-1.4.0/checks'
echo '#!/bin/sh' >./gpg_dearmor
echo "../g10/gpg --no-options --no-greeting \
             --no-secmem-warning --batch --dearmor" >>./gpg_dearmor
chmod 755 ./gpg_dearmor
./gpg_dearmor > ./pubring.gpg < ./pubring.asc
gpg: conversion from `utf-8' to `646' not available
gmake[2]: *** [pubring.gpg] Error 2
gmake[2]: Leaving directory `/home/obj/pkg/security/gnupg/work/gnupg-1.4.0/checks'
gmake[1]: *** [all-recursive] Error 1
gmake: *** [all] Error 2
-------- snip ---------

(Just as a side note: do we really need a dependency GnuPG->perl5?  All
*relevant* parts of gnupg do not have a need for perl, and it makes 
system maintenance quite annoying if you have to rebuild things like
gnupg every time you upgrade *perl*)

I've got a signature breakdown! Anybody got a spare one?

Gert Doering - Munich, Germany                   
fax: +49-89-3243328